package stundentafel_cnf;

import java.util.TreeSet;

/**
 * @author Benjamin A. Bartsch
 */
public class D_Kurs implements Comparable<D_Kurs> {

    final int id;
    final String name;
    final String fach;
    final String lehrkraft;
    final String kursart;
    final int schiene;
    final TreeSet<D_Schueler> setS = new TreeSet<>(); // Klausurschreiber
    final TreeSet<D_Schueler> setS2 = new TreeSet<>(); // Teilnehmer

    D_Kurs(int id, String name, String fach, String lehrkraft, String kursart, int schiene) {
        this.id = id;
        this.name = name;
        this.fach = fach;
        this.lehrkraft = lehrkraft;
        this.kursart = kursart;
        this.schiene = schiene;
    }

    @Override
    public String toString() {
        return id + ":" + name + " [" + fach + ";" + kursart + "] [" + lehrkraft + "] [" + setS.size() + " / " + setS2.size() + " SuS]";
    }

    @Override
    public int compareTo(D_Kurs o) {
        return name.compareTo(o.name);
    }

}
