package stundentafel_cnf;

/**
 * @author Benjamin A. Bartsch
 */
public class D_Kursart implements Comparable<D_Kursart> {

    final int id;
    final String kuerzel;

    D_Kursart(int id, String kuerzel) {
        this.id = id;
        this.kuerzel = kuerzel;
    }

    @Override
    public String toString() {
        return kuerzel;
    }

    @Override
    public int compareTo(D_Kursart o) {
        int cmp = kuerzel.compareTo(o.kuerzel);
        if (cmp != 0)
            return cmp;
        return new Integer(id).compareTo(o.id);
    }

}
