package stundentafel_cnf;

import java.util.HashMap;
import java.util.TreeSet;

/**
 * @author Benjamin A. Bartsch
 */
public class D_Map {
    
    final HashMap<Object, D_Map> map = new HashMap<>();
    
    
    public D_Map get(Object obj) {
        if (!map.containsKey(obj))
            map.put(obj, new D_Map());
        return map.get(obj);
    }

    Iterable<Object> keySetSorted() {
        return new TreeSet<>(map.keySet());
    }

    Iterable<Object> keySet() {
        return map.keySet();
    }

    int size() {
        return map.size();
    }
    
}
