package stundentafel_cnf;

import java.util.HashMap;

/**
 * @author Benjamin A. Bartsch
 */
public class D_Fach implements Comparable<D_Fach> {
    
    final int id;
    final String kuerzel;
    final String name;

    D_Fach(int id, String kuerzel, String name) {
        this.id = id;
        this.kuerzel = kuerzel;
        this.name = name;
    }

    @Override
    public String toString() {
        return kuerzel;
    }

    @Override
    public int compareTo(D_Fach o) {
        return Static.compare(kuerzel, o.kuerzel);
    }

}
